# jgetmethods

Get all the methods of a Java object

## Calling Sequence

                methods = jgetmethods(object)

## Parameters

object

  A mlist typed _JObj or _JClass or a Scilab variable

methods

  A column of strings

## Description

Retrieve all the methods of a Java object.

## Examples

                   s = "Hello World !"
                   jgetmethods(jwrap(s))

## See Also

- jgetfields

## History

5.5.0
Function introduced. Based on the 'JIMS' module. The main difference in the behavior compared to the JIMS module is that jautoUnwrap is enabled by default.